import getImgUrl from './getImgUrl';

export default function getSource({
  src,
  mobileSrc,
  width,
  quality,
  breakpoint,
}) {
  let imgSource = src;

  if (width <= breakpoint && mobileSrc) {
    imgSource = mobileSrc;
  }
  const media = `(max-width: ${width}px)`;
  const srcSet = `${getImgUrl({ src: imgSource, width })} 1x, ${getImgUrl({ src: imgSource, width: width * 2, quality })} 2x `;
  return {
    media,
    srcSet,
    key: width,
  };
}
